pro differences, filename, Nside_out, order
  !quiet=1
  ;; generate the pixel-antipixel correspondence in the ring scheme
  ;; (since the generated maps are in this scheme)
  if (order eq 'NESTED') then begin
     pix2vec_nest, Nside_out, lindgen(nside2npix(Nside_out)), vectors
     anti_vectors=-vectors
     vec2pix_nest, Nside_out, anti_vectors, anti_pixels
  endif else begin
     if (order eq 'RING') then begin
        pix2vec_ring, Nside_out, lindgen(nside2npix(Nside_out)), vectors
        anti_vectors=-vectors
        vec2pix_ring, Nside_out, anti_vectors, anti_pixels
     endif
  endelse

  read_fits_map, filename, map
  ud_grade, map, map_deg, nside_out=Nside_out, order_in=order, order_out=order
  ;; generate the map of the temperature differences for opposite pixels
  differences=map_deg-map_deg(anti_pixels)
  ;; store the maximum temperature difference and the position of
  ;; the corresponding pixel
  max_diff=max(differences,max_diff_pos)
  
  ;; convert the position of the pixels where the maximum temperature
  ;; difference occurs to angular coordinates
  if (order eq 'NESTED') then begin
     pix2ang_nest, Nside_out, max_diff_pos, theta, phi
  endif else begin
     if (order eq 'RING') then begin
        pix2ang_ring, Nside_out, max_diff_pos, theta, phi
     endif
  endelse
  
  theta=theta/!PI*180
  phi=phi/!PI*180
  
  print, max_diff, theta, phi, format='(F,1x,F,1x,F)'

end
