(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31692,        805]
NotebookOptionsPosition[     30922,        779]
NotebookOutlinePosition[     31258,        794]
CellTagsIndexPosition[     31215,        791]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<WorldPlot`\>\"", "]"}], "\n", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Graphics", ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FormatType", "\[Rule]", "OutputForm"}], ",", 
       RowBox[{"FontSize", "\[Rule]", "9"}], ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
       RowBox[{"PrivateFontOptions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<OperatorSubstitution\>\"", "\[Rule]", "False"}], 
         "}"}]}]}], "}"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.560669482599271*^9, 3.560669494885717*^9}, 
   3.560669628190953*^9, 3.561731492930896*^9, 3.561731534682783*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Define", " ", "the", " ", "labels", " ", "that", " ", "will", " ", 
    "appear", " ", "on", " ", "the", " ", "mollweide", " ", "projection"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Labels", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{"\"\<(90,180)\>\"", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"90", ",", "0"}], "}"}], "*", "60"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<(-90,180)\>\"", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "90"}], ",", "0"}], "}"}], "*", "60"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<(0,360)\>\"", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "180"}], "}"}], "*", "60"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<(0,0)\>\"", ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "180"}]}], "}"}], "*", "60"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], "}"}]}], ";"}]}]], "Input",\

 CellChangeTimes->{{3.547983388911254*^9, 3.547983397821446*^9}, {
   3.547983475168377*^9, 3.547983487188926*^9}, {3.547983555186034*^9, 
   3.547983593965397*^9}, {3.547983634702996*^9, 3.547983637526697*^9}, {
   3.547983802138155*^9, 3.547983814455826*^9}, {3.547984001825529*^9, 
   3.54798402649524*^9}, 3.547984091825673*^9, {3.547984275282993*^9, 
   3.547984285806898*^9}, {3.547985090378247*^9, 3.547985134676205*^9}, {
   3.54798635891487*^9, 3.54798637082557*^9}, {3.547990319500605*^9, 
   3.547990323795167*^9}, {3.547990404781684*^9, 3.547990415111916*^9}, {
   3.548065097051002*^9, 3.548065109060533*^9}, {3.548065189856376*^9, 
   3.548065191009318*^9}, {3.548065221141428*^9, 3.548065257468429*^9}, {
   3.54806529984947*^9, 3.548065368684841*^9}, {3.548065906893449*^9, 
   3.548065912464114*^9}, {3.548067566994691*^9, 3.548067572803448*^9}, {
   3.548067621312311*^9, 3.548067636513573*^9}, {3.548067787138662*^9, 
   3.54806780458352*^9}, 3.560519998451168*^9, {3.560521124270776*^9, 
   3.560521129354627*^9}, {3.560521913806468*^9, 3.560521966448865*^9}, {
   3.560521998054423*^9, 3.560522012691606*^9}, {3.560666894771227*^9, 
   3.560666902821605*^9}, 3.560666935454641*^9, {3.560838571823141*^9, 
   3.560838610672937*^9}, {3.560839439465507*^9, 3.560839446974813*^9}, {
   3.561978598838645*^9, 3.561978631648992*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Define", " ", "the", " ", "angular", " ", "coordinates", " ", 
    RowBox[{"(", 
     RowBox[{"and", " ", "errors", " ", "on", " ", "these"}], ")"}], " ", 
    "for", " ", "the", " ", "dipoles", " ", "and", " ", "directions"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AlphaDipCoord", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "11.7"}], ",", "320.488", ",", "7.5276", ",", "11.8207"}], 
     "}"}]}], ";", 
   RowBox[{"DarkFlowCoord", "=", 
    RowBox[{"{", 
     RowBox[{"6", ",", "282", ",", "6", ",", "10"}], "}"}]}], ";", 
   RowBox[{"DarkEnergyCoord", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "15.1015"}], ",", "309.377", ",", "11.5194", ",", 
      "18.0214"}], "}"}]}], ";", 
   RowBox[{"TempDiffCoord", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"80.406", "-", "90"}], ",", 
      RowBox[{"151.875", "+", "180"}], ",", "7.3", ",", "7.3"}], "}"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.560520090457133*^9, 3.560520100437776*^9}, {
   3.560520149549028*^9, 3.560520172715881*^9}, {3.560520289447414*^9, 
   3.560520335316245*^9}, {3.560520450156395*^9, 3.560520510779455*^9}, {
   3.560520545243232*^9, 3.560520599517051*^9}, {3.560520931315329*^9, 
   3.560520933054952*^9}, {3.560520973395172*^9, 3.560520974139277*^9}, {
   3.560521598626442*^9, 3.560521704848261*^9}, {3.560844960733357*^9, 
   3.560844964368176*^9}, {3.561721949725816*^9, 3.561721954585123*^9}, {
   3.561726096244343*^9, 3.56172613127459*^9}, 3.561968588404096*^9, {
   3.561978633931753*^9, 3.561978691649631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "the", " ", "errors", " ", "ellipses", " ", "whose", " ", 
    "axes", " ", "are", " ", "defined", " ", "by", " ", "the", " ", "errors", 
    " ", "on", " ", "the", " ", "angular", " ", "coordinates"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AlphaDipBlob", "=", 
     RowBox[{"Polygon", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"AlphaDipCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{
               RowBox[{"AlphaDipCoord", "[", 
                RowBox[{"[", "3", "]"}], "]"}], " ", 
               RowBox[{"Sin", "[", "#", "]"}]}]}], ")"}], ",", 
            RowBox[{
             RowBox[{"AlphaDipCoord", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"AlphaDipCoord", "[", 
               RowBox[{"[", "4", "]"}], "]"}], " ", 
              RowBox[{"Cos", "[", "#", "]"}]}], "-", "180"}]}], "}"}], "&"}], 
         "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", 
           RowBox[{"2", "Pi"}], ",", 
           RowBox[{"2", 
            RowBox[{"Pi", "/", "100"}]}]}], "]"}]}], "*", "60"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DarkFlowBlob", "=", 
     RowBox[{"Polygon", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"DarkFlowCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{
               RowBox[{"DarkFlowCoord", "[", 
                RowBox[{"[", "3", "]"}], "]"}], " ", 
               RowBox[{"Sin", "[", "#", "]"}]}]}], ")"}], ",", 
            RowBox[{
             RowBox[{"DarkFlowCoord", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"DarkFlowCoord", "[", 
               RowBox[{"[", "4", "]"}], "]"}], " ", 
              RowBox[{"Cos", "[", "#", "]"}]}], "-", "180"}]}], "}"}], "&"}], 
         "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", 
           RowBox[{"2", "Pi"}], ",", 
           RowBox[{"2", 
            RowBox[{"Pi", "/", "100"}]}]}], "]"}]}], "*", "60"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DarkEnergyBlob", "=", 
     RowBox[{"Polygon", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"DarkEnergyCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{
               RowBox[{"DarkEnergyCoord", "[", 
                RowBox[{"[", "3", "]"}], "]"}], " ", 
               RowBox[{"Sin", "[", "#", "]"}]}]}], ")"}], ",", 
            RowBox[{
             RowBox[{"DarkEnergyCoord", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"DarkEnergyCoord", "[", 
               RowBox[{"[", "4", "]"}], "]"}], " ", 
              RowBox[{"Cos", "[", "#", "]"}]}], "-", "180"}]}], "}"}], "&"}], 
         "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", 
           RowBox[{"2", "Pi"}], ",", 
           RowBox[{"2", 
            RowBox[{"Pi", "/", "100"}]}]}], "]"}]}], "*", "60"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TempDiffBlob", "=", 
     RowBox[{"Polygon", "@", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"TempDiffCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{
               RowBox[{"TempDiffCoord", "[", 
                RowBox[{"[", "3", "]"}], "]"}], " ", 
               RowBox[{"Sin", "[", "#", "]"}]}]}], ")"}], ",", 
            RowBox[{
             RowBox[{"TempDiffCoord", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "+", 
             RowBox[{
              RowBox[{"TempDiffCoord", "[", 
               RowBox[{"[", "4", "]"}], "]"}], " ", 
              RowBox[{"Cos", "[", "#", "]"}]}], "-", "180"}]}], "}"}], "&"}], 
         "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", 
           RowBox[{"2", "Pi"}], ",", 
           RowBox[{"2", 
            RowBox[{"Pi", "/", "100"}]}]}], "]"}]}], "*", "60"}], ")"}]}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.547987452103153*^9, 3.547987470825225*^9}, {
   3.547987506829086*^9, 3.547987525550744*^9}, {3.547987657180238*^9, 
   3.547987669434682*^9}, {3.547987835293299*^9, 3.547987900182853*^9}, 
   3.547988051101431*^9, {3.547988458131247*^9, 3.547988507078127*^9}, {
   3.548064857264377*^9, 3.548064872409525*^9}, {3.54806592810847*^9, 
   3.548065929044694*^9}, {3.548829108265376*^9, 3.548829119819641*^9}, {
   3.560520019665858*^9, 3.560520020395608*^9}, {3.560520633986141*^9, 
   3.560520673123456*^9}, {3.560520917339375*^9, 3.560520997309714*^9}, {
   3.560521591156323*^9, 3.560521596521725*^9}, {3.560521711397902*^9, 
   3.560521744015935*^9}, 3.560522030659089*^9, {3.561978697850532*^9, 
   3.561978784412394*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Join", " ", "labels"}], ",", " ", 
    RowBox[{
    "blobs", " ", "and", " ", "points", " ", "in", " ", "a", " ", "single", 
     " ", "Mollweide", " ", "projection"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Remember", " ", "that", " ", "WorldGraphics", " ", "plots", " ", "in", 
      " ", "the", " ", "range"}], " ", "-", 
     RowBox[{"180", "/", "180"}]}], ";", " ", 
    RowBox[{
     RowBox[{
     "we", " ", "are", " ", "reversing", " ", "the", " ", "dipole", " ", 
      RowBox[{"direction", ":", " ", "b"}]}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "b"}], " ", "and", " ", "l"}], "\[Rule]", 
      RowBox[{"l", "-", 
       RowBox[{
       "180.", " ", "This", " ", "makes", "\[IndentingNewLine]", "l", " ", 
        "negative", " ", "so", " ", "we", " ", "add", " ", "180", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"that", " ", "is", " ", "360"}], "-", "180"}], ")"}], " ", 
        "to", " ", "bring", " ", "it", " ", "in", " ", "the", " ", "right", 
        " ", "position"}]}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"BlobsMollPlot", "=", 
    RowBox[{"WorldGraphics", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Labels", ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", "AlphaDipBlob"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"AlphaDipCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"AlphaDipCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "180"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"180", "*", "60"}]}]}], "}"}], "&"}], "/@", 
            RowBox[{"AlphaDipBlob", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"AlphaDipCoord", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"AlphaDipCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "360"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", "DarkFlowBlob"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"DarkFlowCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"DarkFlowCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "180"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"180", "*", "60"}]}]}], "}"}], "&"}], "/@", 
            RowBox[{"DarkFlowBlob", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"DarkFlowCoord", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"DarkFlowCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "360"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", "DarkEnergyBlob"}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"DarkEnergyCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"DarkEnergyCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "180"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Opacity", "[", ".4", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"180", "*", "60"}]}]}], "}"}], "&"}], "/@", 
            RowBox[{"DarkEnergyBlob", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"DarkEnergyCoord", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"DarkEnergyCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "360"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Yellow", ",", 
          RowBox[{"Opacity", "[", ".6", "]"}], ",", "TempDiffBlob"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"TempDiffCoord", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"TempDiffCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "180"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"Yellow", ",", 
          RowBox[{"Opacity", "[", ".6", "]"}], ",", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ",", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "-", 
                RowBox[{"180", "*", "60"}]}]}], "}"}], "&"}], "/@", 
            RowBox[{"TempDiffBlob", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", ".006", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"TempDiffCoord", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"TempDiffCoord", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "-", "360"}]}], "}"}], "*", 
            "60"}], "]"}]}], "}"}]}], "}"}], ",", 
      RowBox[{"WorldProjection", "\[Rule]", "Mollweide"}]}], "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.547972160699119*^9, 3.547972173647433*^9}, {
   3.547972236721642*^9, 3.547972270136264*^9}, 3.547972605164036*^9, {
   3.547972819876041*^9, 3.547972854571489*^9}, {3.547972986139999*^9, 
   3.547972990797467*^9}, {3.547973042972154*^9, 3.547973087551512*^9}, {
   3.547973130299891*^9, 3.547973140896492*^9}, {3.547973189506072*^9, 
   3.54797319022165*^9}, {3.54797339055907*^9, 3.547973481048546*^9}, 
   3.547973514778354*^9, 3.547973566880285*^9, 3.547973692285815*^9, {
   3.547973731392578*^9, 3.547973894025292*^9}, {3.547974047010256*^9, 
   3.547974080312566*^9}, {3.5479741514971*^9, 3.547974253058718*^9}, {
   3.547974484933742*^9, 3.54797449368323*^9}, 3.547975456855603*^9, 
   3.547976298777009*^9, {3.547976340012196*^9, 3.547976375738705*^9}, {
   3.547983653806633*^9, 3.547983672624051*^9}, {3.547984110922946*^9, 
   3.547984125457638*^9}, {3.547984162852927*^9, 3.547984162999956*^9}, {
   3.54798426664929*^9, 3.547984267020627*^9}, {3.547984309187004*^9, 
   3.54798432449117*^9}, {3.5479843585294*^9, 3.547984358668554*^9}, 
   3.54798447633956*^9, {3.547984978459102*^9, 3.547985027731341*^9}, {
   3.547986402909832*^9, 3.547986436100528*^9}, 3.547987614591591*^9, {
   3.547987930045603*^9, 3.547987990428328*^9}, {3.547988285051124*^9, 
   3.547988315885741*^9}, {3.547988732791739*^9, 3.547988757319192*^9}, {
   3.547989070370743*^9, 3.547989070464599*^9}, {3.548064820751387*^9, 
   3.548064844108174*^9}, {3.54806493332101*^9, 3.548065013658757*^9}, {
   3.548065569033034*^9, 3.548065604134972*^9}, {3.548065656012866*^9, 
   3.548065697505447*^9}, {3.548065739234683*^9, 3.548065779947721*^9}, {
   3.548065828660896*^9, 3.548065886346689*^9}, {3.548065948448981*^9, 
   3.548065980497722*^9}, 3.548066219066552*^9, {3.548066302134005*^9, 
   3.548066329826939*^9}, {3.548066510424505*^9, 3.548066514111831*^9}, {
   3.548066872111935*^9, 3.548066898771637*^9}, 3.548066944593778*^9, {
   3.548067004975366*^9, 3.548067013381*^9}, {3.548067219956613*^9, 
   3.548067248158341*^9}, {3.548067315761228*^9, 3.548067318649268*^9}, {
   3.548067421285391*^9, 3.548067430748446*^9}, {3.548067488307399*^9, 
   3.548067552716798*^9}, {3.548166507771216*^9, 3.548166539812669*^9}, {
   3.548166579165796*^9, 3.54816659835027*^9}, {3.548166703528739*^9, 
   3.54816674528988*^9}, {3.548182306089836*^9, 3.548182327018092*^9}, {
   3.548187341327812*^9, 3.54818740391335*^9}, {3.54818762259242*^9, 
   3.548187640754828*^9}, {3.548188168419332*^9, 3.548188193808815*^9}, {
   3.54818824867773*^9, 3.548188265698237*^9}, {3.548188305926466*^9, 
   3.548188326889916*^9}, {3.548190032681947*^9, 3.548190129149725*^9}, {
   3.548190159907909*^9, 3.548190178757257*^9}, 3.548190224025145*^9, {
   3.548219120163332*^9, 3.548219140358149*^9}, {3.548829133716459*^9, 
   3.54882913848235*^9}, {3.560520761494067*^9, 3.560520880174143*^9}, {
   3.560521014639506*^9, 3.560521079570407*^9}, {3.560521260752849*^9, 
   3.560521460727847*^9}, {3.560521767675805*^9, 3.560521855770267*^9}, {
   3.560838639947915*^9, 3.560838739540076*^9}, 3.560839127801816*^9, {
   3.560839334455806*^9, 3.560839347813218*^9}, {3.560839393217002*^9, 
   3.560839396301078*^9}, {3.560839478600982*^9, 3.560839481202782*^9}, {
   3.560839517347216*^9, 3.560839606838761*^9}, {3.560839651577234*^9, 
   3.560839687212388*^9}, {3.560845031308625*^9, 3.560845071603283*^9}, {
   3.561978805497636*^9, 3.561978834107495*^9}}],

Cell[BoxData[
 RowBox[{"blobsplot", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"BlobsMollPlot", ",", 
    RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.560520881984155*^9, 3.560520893980974*^9}, {
  3.560582412627224*^9, 3.560582417542141*^9}, {3.560839737778704*^9, 
  3.560839737864793*^9}, {3.560839853080118*^9, 3.560839853217788*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Mollweide_blobs.pdf\>\"", ",", "blobsplot"}], "]"}]], "Input",
 CellChangeTimes->{{3.560582101947728*^9, 3.560582170834743*^9}, {
  3.560582308477062*^9, 3.56058231352961*^9}, {3.560582422276636*^9, 
  3.560582428785628*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Define", " ", "a", " ", "unitary", " ", "vector", " ", "starting", " ", 
     "from", " ", "the", " ", "angular", " ", "coordinates"}], ";", " ", 
    RowBox[{
    "we", " ", "will", " ", "use", " ", "the", " ", "scalar", " ", "product", 
     " ", "between", "\[IndentingNewLine]", "two", " ", "such", " ", 
     "vectors", " ", "to", " ", "define", " ", "the", " ", "angular", " ", 
     "distance"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Ang2Veg", "[", 
    RowBox[{"theta_", ",", "phi_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"phi", " ", "Degree"}], "]"}], 
      RowBox[{"Cos", "[", 
       RowBox[{"theta", " ", "Degree"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"phi", " ", "Degree"}], "]"}], 
      RowBox[{"Cos", "[", 
       RowBox[{"theta", " ", "Degree"}], "]"}]}], ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"theta", " ", "Degree"}], "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.560579987223245*^9, 3.560579996299893*^9}, {
  3.560580242437697*^9, 3.560580268245228*^9}, {3.560580373335304*^9, 
  3.560580373664242*^9}, {3.561978876629582*^9, 3.561978939232012*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Alpha", " ", "Dipole"}], "-", 
    RowBox[{"DE", " ", "dipole", " ", "angular", " ", "distance"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560579445816286*^9, 3.56057953077081*^9}, {
  3.56057967230089*^9, 3.560579687981796*^9}, {3.560579866354141*^9, 
  3.560579869864753*^9}, {3.560580005032346*^9, 3.560580006809477*^9}, {
  3.560580759046525*^9, 3.560580870750759*^9}, {3.561789387803389*^9, 
  3.561789406658642*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"MTA", "-", 
    RowBox[{"DE", " ", "dipole", " ", "angular", " ", "distance"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560581770534327*^9, 3.560581777543977*^9}, {
  3.561789499424203*^9, 3.561789519468487*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"MTA", "-", 
    RowBox[{"Alpha", " ", "dipole", " ", "angular", " ", "distance"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560581844583842*^9, 3.560581855101871*^9}, {
  3.561789547846701*^9, 3.561789565053864*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"MTA", "-", 
    RowBox[{"DF", " ", "angular", " ", "distance"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"TempDiffCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560581844583842*^9, 3.560581890432841*^9}, {
  3.561789744054549*^9, 3.561789758441084*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Alpha", " ", "dipole"}], "-", 
    RowBox[{"DF", " ", "angular", " ", "distance"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"AlphaDipCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560581942809118*^9, 3.560581949368412*^9}, {
  3.561789781467318*^9, 3.561789800976165*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"DE", "-", 
    RowBox[{"DF", " ", "angular", " ", "distance"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ArcCos", "[", 
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkEnergyCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ".", 
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"DarkFlowCoord", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], "/", "Pi"}], "*", 
   "180"}]}]], "Input",
 CellChangeTimes->{{3.560581971058723*^9, 3.560581976684302*^9}, {
  3.561789813472807*^9, 3.561789823275504*^9}}]
},
WindowSize->{1366, 744},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"7.0 for Linux x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 837, 19, 77, "Input"],
Cell[1385, 41, 2792, 62, 77, "Input"],
Cell[4180, 105, 1625, 36, 77, "Input"],
Cell[5808, 143, 5448, 143, 165, "Input"],
Cell[11259, 288, 12299, 279, 385, "Input"],
Cell[23561, 569, 375, 7, 32, "Input"],
Cell[23939, 578, 279, 5, 32, "Input"],
Cell[24221, 585, 1286, 31, 77, "Input"],
Cell[25510, 618, 1089, 28, 55, "Input"],
Cell[26602, 648, 866, 24, 55, "Input"],
Cell[27471, 674, 865, 24, 55, "Input"],
Cell[28339, 700, 846, 24, 55, "Input"],
Cell[29188, 726, 878, 25, 55, "Input"],
Cell[30069, 753, 849, 24, 55, "Input"]
}
]
*)

(* End of internal cache information *)
