(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    104027,       2776]
NotebookOptionsPosition[    100101,       2672]
NotebookOutlinePosition[    100458,       2688]
CellTagsIndexPosition[    100415,       2685]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Set", " ", "the", " ", "directory", " ", "to", " ", "the", " ", 
    "notebook", " ", "directory", " ", "and", " ", "import", " ", "the", " ", 
    "results", " ", "obtained", " ", "from", " ", "the", " ", "simulated", 
    " ", "maps", " ", "\[IndentingNewLine]", "using", " ", 
    "\"\<random_maps.pro\>\""}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsNside4", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"\"\<sims_res_nside4.txt\>\"", ",", "\"\<Table\>\""}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsNside8", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"\"\<sims_res_nside8.txt\>\"", ",", "\"\<Table\>\""}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsNside16", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"\"\<sims_res_nside16.txt\>\"", ",", "\"\<Table\>\""}], "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.558172860026668*^9, 3.558172909800912*^9}, {
   3.558172947283237*^9, 3.558172974327378*^9}, {3.558173039056534*^9, 
   3.558173066248295*^9}, 3.558174380436294*^9, {3.558177454455416*^9, 
   3.558177478811723*^9}, {3.558177661740313*^9, 3.558177669409562*^9}, {
   3.558178370400543*^9, 3.558178378366024*^9}, {3.558240699263398*^9, 
   3.558240706130024*^9}, {3.561979041166762*^9, 3.561979058293112*^9}, {
   3.561979097198059*^9, 3.561979136138547*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Observed", " ", "map", " ", "results"}], ";", " ", 
    RowBox[{
    "choose", " ", "the", " ", "map", " ", "you", " ", "want", " ", "to", " ",
      "use", " ", "executing", " ", "one", " ", "between", " ", "the", " ", 
     "following", " ", "two", " ", "cells"}]}], " ", "*)"}],
  FontSize->18]], "Input",
 CellChangeTimes->{{3.560151042327218*^9, 3.560151065980617*^9}, {
  3.560151157358107*^9, 3.560151190295719*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"WMAP_ILC", "_lagrange"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"diffsNside4Obs", "=", "143.3607788"}], ";", 
    RowBox[{"thetaNside4Obs", "=", " ", "89.9999974955219102"}], ";", 
    RowBox[{"phiNside4Obs", "=", "146.2499959302230934"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"diffsNside8Obs", "=", "204.9406738"}], ";", 
    RowBox[{"thetaNside8Obs", "=", " ", "85.2198057813436947"}], ";", 
    RowBox[{"phiNside8Obs", "=", "146.2499959302230934"}], ";"}], 
   "\[IndentingNewLine]", "  ", 
   RowBox[{
    RowBox[{"diffsNside16Obs", "=", "254.5393372"}], ";", 
    RowBox[{"thetaNside16Obs", "=", " ", "87.6119820987057096"}], ";", 
    RowBox[{"phiNside16Obs", "=", "146.2499959302230934"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.558248394220297*^9, 3.558248594055295*^9}, {
  3.55827321468886*^9, 3.558273321734037*^9}, {3.560145193894485*^9, 
  3.560145209328255*^9}, {3.560145330528243*^9, 3.560145502157245*^9}, {
  3.560150998006561*^9, 3.560151036468112*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"wmap_ilc", "_", "7", "yr_v4"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"diffsNside4Obs", "=", 
     RowBox[{"0.1542528", "*", "1000"}]}], ";", 
    RowBox[{"thetaNside4Obs", "=", " ", "80.4059295356407091"}], ";", 
    RowBox[{"phiNside4Obs", "=", "157.4999956171633357"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"diffsNside8Obs", "=", 
     RowBox[{"0.2152175", "*", "1000"}]}], ";", 
    RowBox[{"thetaNside8Obs", "=", " ", "80.4059295356407091"}], ";", 
    RowBox[{"phiNside8Obs", "=", "151.8749957736932004"}], ";"}], 
   "\[IndentingNewLine]", "  ", 
   RowBox[{
    RowBox[{"diffsNside16Obs", "=", 
     RowBox[{"0.2815822", "*", "1000"}]}], ";", 
    RowBox[{"thetaNside16Obs", "=", " ", "82.8192419138863585"}], ";", 
    RowBox[{"phiNside16Obs", "=", "151.8749957736932004"}], 
    ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{"Simulated", " ", "LILC", " ", "map", " ", "results"}], " ", 
    "*)"}],
   FontSize->18], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"diffsNside4", "=", 
     RowBox[{"resultsNside4", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";", 
    RowBox[{"diffsNside8", "=", 
     RowBox[{"resultsNside8", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";", 
    RowBox[{"diffsNside16", "=", 
     RowBox[{"resultsNside16", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"thetasNside4", "=", 
     RowBox[{"resultsNside4", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
    RowBox[{"thetasNside8", "=", 
     RowBox[{"resultsNside8", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";", 
    RowBox[{"thetasNside16", "=", 
     RowBox[{"resultsNside16", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phisNside4", "=", 
     RowBox[{"resultsNside4", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}]}], ";", 
    RowBox[{"phisNside8", "=", 
     RowBox[{"resultsNside8", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}]}], ";", 
    RowBox[{"phisNside16", "=", 
     RowBox[{"resultsNside16", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "3"}], "]"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.558174385484287*^9, 3.558174394580047*^9}, {
  3.558174456382717*^9, 3.558174457248315*^9}, {3.558174501070235*^9, 
  3.55817452575954*^9}, {3.558177498190391*^9, 3.558177536098781*^9}, {
  3.558178387793847*^9, 3.558178422867544*^9}, {3.558241365855833*^9, 
  3.558241398560118*^9}, {3.558255999792126*^9, 3.558256014888293*^9}, {
  3.561979192696326*^9, 3.561979218620921*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
    "Percentage", " ", "of", " ", "maps", " ", "with", " ", "a", " ", 
     "maximum", " ", "temperature", " ", "difference", " ", "bigger", " ", 
     "than", " ", "the", " ", "maximum", " ", "\[IndentingNewLine]", 
     "temperature", " ", "difference", " ", "from", " ", "the", " ", 
     "observed", " ", "map"}], " ", "*)"}],
   FontSize->18], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{"diffsNside4", ",", 
        RowBox[{
         RowBox[{"#", "\[GreaterEqual]", "diffsNside4Obs"}], "&"}]}], "]"}]}],
      "/", 
     RowBox[{"Length", "@", "diffsNside4"}]}], "*", "100"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.558174532356201*^9, 3.558174538461514*^9}, {
   3.558174883343414*^9, 3.558174908115513*^9}, 3.558177540421424*^9, {
   3.558178429283863*^9, 3.558178438049046*^9}, {3.558178469825499*^9, 
   3.558178472734603*^9}, 3.55824142121588*^9, 3.558248611180892*^9, {
   3.558248694259817*^9, 3.558248736929639*^9}, {3.558248787199667*^9, 
   3.558248838812465*^9}, {3.558248887018277*^9, 3.558248916196584*^9}, {
   3.558254723523281*^9, 3.558254765233212*^9}, {3.558254795810111*^9, 
   3.558254798075446*^9}, {3.55825620453438*^9, 3.558256205841232*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"diffsNside8", ",", 
       RowBox[{
        RowBox[{"#", "\[GreaterEqual]", "diffsNside8Obs"}], "&"}]}], "]"}]}], 
    "/", 
    RowBox[{"Length", "@", "diffsNside8"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.558250035572027*^9, 3.558250040326445*^9}, {
  3.558254802089982*^9, 3.558254804550149*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"diffsNside16", ",", 
       RowBox[{
        RowBox[{"#", "\[GreaterEqual]", "diffsNside16Obs"}], "&"}]}], "]"}]}],
     "/", 
    RowBox[{"Length", "@", "diffsNside16"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.558250047308197*^9, 3.558250053373858*^9}, {
  3.558254807685196*^9, 3.558254810624494*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"conversion", " ", "from", " ", "the", " ", 
    RowBox[{"(", 
     RowBox[{"theta", ",", " ", "phi"}], ")"}], " ", "coordinates", " ", "to",
     " ", "the", " ", "corresponding", " ", "unit", " ", "vector"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Ang2Veg", "[", 
    RowBox[{"theta_", ",", "phi_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"phi", " ", "Degree"}], "]"}], 
      RowBox[{"Sin", "[", 
       RowBox[{"theta", " ", "Degree"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"phi", " ", "Degree"}], "]"}], 
      RowBox[{"Sin", "[", 
       RowBox[{"theta", " ", "Degree"}], "]"}]}], ",", 
     RowBox[{"Cos", "[", 
      RowBox[{"theta", " ", "Degree"}], "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.55825022384917*^9, 3.558250292421611*^9}, {
  3.558250552818009*^9, 3.558250564397953*^9}, {3.558254815758087*^9, 
  3.558254843362623*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Unit", " ", "vector", " ", "of", " ", "the", " ", "alpha", " ", 
    "dipole"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"AlphaDipDir", "=", 
   RowBox[{"Ang2Veg", "[", 
    RowBox[{
     RowBox[{"90", "+", "11.7"}], ",", "320.5"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.558250301994526*^9, 3.558250327763956*^9}, {
  3.558250376770416*^9, 3.558250380408827*^9}, {3.558250571167552*^9, 
  3.558250594620738*^9}, {3.558254847745908*^9, 3.558254864804351*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Unit", " ", "vector", " ", "of", " ", "the", " ", "Dark", " ", "Energy", 
    " ", "dipole"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"DEdipDir", "=", 
   RowBox[{"Ang2Veg", "[", 
    RowBox[{
     RowBox[{"90", "+", "15.1"}], ",", "309.4"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.560670004497667*^9, 3.560670055860386*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Unit", " ", "vector", " ", "of", " ", "the", " ", "Dark", " ", "Flow", 
    " ", "direction"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"DFDir", "=", 
   RowBox[{"Ang2Veg", "[", 
    RowBox[{
     RowBox[{"90", "-", "6.0"}], ",", "282.0"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.560670067618596*^9, 3.560670114836199*^9}, {
  3.560670146734796*^9, 3.56067015014664*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "unit", " ", "vectors", " ", "corresponding", " ", "to", " ", "the", " ",
       "directions", " ", "of", " ", "the", " ", "maximum", " ", 
      "temperature", " ", "\[IndentingNewLine]", "difference", " ", "in", " ",
       "the", " ", "simulated", " ", "maps", " ", "for", " ", "Nside"}], "=", 
     "4"}], " ", "*)"}],
   FontSize->18], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"UnitVectorsNside4", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"thetasNside4", ",", "phisNside4"}], "}"}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.558254452765564*^9, 3.55825451011306*^9}, {
  3.558254587646839*^9, 3.558254646978009*^9}, {3.55825487302318*^9, 
  3.558254909531318*^9}, {3.558255691217994*^9, 3.558255693369134*^9}, {
  3.558256243895353*^9, 3.558256266424242*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "DE", " ", "dipole", " ", "and", " ", "Dark", " ", "Flow", " ", 
      "direction", " ", "and", " ", "the", " ", "observed", " ", "maximum", 
      " ", "temperature", " ", "difference", " ", "direction"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
     "we", " ", "invert", " ", "the", " ", "direction", " ", "of", " ", "the",
       " ", "maximum", " ", "temperature", " ", "difference"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AngDistsAlphaNside4", "=", 
    RowBox[{"180", "-", 
     RowBox[{
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"ArcCos", ",", 
         RowBox[{"UnitVectorsNside4", ".", "AlphaDipDir"}]}], "]"}], "/", 
       "Pi"}], "*", "180"}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.558254955835135*^9, 3.558254973781348*^9}, {
   3.55825500913088*^9, 3.558255012387464*^9}, 3.558255218500143*^9, {
   3.558255262330636*^9, 3.558255275581537*^9}, {3.558255467163882*^9, 
   3.558255470788695*^9}, {3.558255512830153*^9, 3.558255535750082*^9}, 
   3.558255698062559*^9, 3.558255861014244*^9, {3.558256383862986*^9, 
   3.55825640722267*^9}, 3.558257095866399*^9, 3.558331381960438*^9, {
   3.558345913480335*^9, 3.558345915335677*^9}, {3.560670171181326*^9, 
   3.560670223126071*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDENside4", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside4", ".", "DEdipDir"}]}], "]"}], "/", "Pi"}], 
     "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670248008005*^9, 3.560670273481573*^9}, {
  3.561979272719948*^9, 3.561979273116336*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDFNside4", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside4", ".", "DFDir"}]}], "]"}], "/", "Pi"}], 
     "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670286642248*^9, 3.56067029348963*^9}, {
  3.56197928195953*^9, 3.561979282178015*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha", " ",
      "dipole", " ", "and", " ", "the", " ", "observed", " ", "maximum", " ", 
     "temperature", " ", "difference", " ", "direction"}], ";", " ", 
    RowBox[{
    "we", " ", "invert", " ", "the", " ", "\[IndentingNewLine]", "maximum", 
     " ", "temperature", " ", "difference", " ", "direction"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"AngDistAlphaNside4Obs", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"ArcCos", "[", 
       RowBox[{
        RowBox[{"Ang2Veg", "[", 
         RowBox[{"thetaNside4Obs", ",", "phiNside4Obs"}], "]"}], ".", 
        "AlphaDipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]}]], "Input",
 CellChangeTimes->{{3.55825560878224*^9, 3.558255652585049*^9}, {
  3.558255742875202*^9, 3.558255757337786*^9}, {3.558256303030245*^9, 
  3.55825633122911*^9}, {3.558331226301138*^9, 3.558331228258299*^9}, {
  3.558331515600595*^9, 3.558331531573955*^9}, {3.560670324243995*^9, 
  3.560670325140201*^9}}],

Cell[BoxData[
 RowBox[{"AngDistDENside4Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside4Obs", ",", "phiNside4Obs"}], "]"}], ".", 
       "DEdipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670575516555*^9, 3.560670614420276*^9}, 
   3.560671390406749*^9}],

Cell[BoxData[
 RowBox[{"AngDistDFNside4Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside4Obs", ",", "phiNside4Obs"}], "]"}], ".", 
       "DFDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670625691465*^9, 3.560670632680477*^9}, 
   3.560671393561105*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "percentage", " ", "of", " ", "the", " ", "simulated", " ", "maps", " ", 
    "with", " ", "an", " ", "angular", " ", "distance", " ", "from", " ", 
    "the", " ", "dipoles", " ", "smaller", " ", "than", " ", "the", " ", 
    "same", " ", "angular", " ", "distance", " ", "in", " ", "the", " ", 
    "observed", " ", "map"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{"AngDistsAlphaNside4", ",", 
        RowBox[{
         RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside4Obs"}], "&"}]}], 
       "]"}]}], "/", 
     RowBox[{"Length", "@", "AngDistsAlphaNside4"}]}], "*", "100"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.558255668974108*^9, 3.558255683237477*^9}, {
   3.558255726647968*^9, 3.558255802664268*^9}, {3.558257098244586*^9, 
   3.558257160870929*^9}, {3.558331250616215*^9, 3.558331252247449*^9}, 
   3.558345926599763*^9, {3.560670336841388*^9, 3.560670350702522*^9}, {
   3.560671341706506*^9, 3.560671342544943*^9}, {3.560671405916013*^9, 
   3.560671433589331*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDENside4", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDENside4Obs"}], "&"}]}], "]"}]}],
     "/", 
    RowBox[{"Length", "@", "AngDistsDENside4"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671363652822*^9, 3.560671367266135*^9}, {
  3.560671447026502*^9, 3.560671447215369*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDFNside4", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDFNside4Obs"}], "&"}]}], "]"}]}],
     "/", 
    RowBox[{"Length", "@", "AngDistsDFNside4"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671458085961*^9, 3.560671465989548*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "unit", " ", "vectors", " ", "corresponding", " ", "to", " ", "the", " ",
       "directions", " ", "of", " ", "the", " ", "maximum", " ", 
      "temperature", " ", "\[IndentingNewLine]", "difference", " ", "in", " ",
       "the", " ", "simulated", " ", "maps", " ", "for", " ", "Nside"}], "=", 
     "8"}], " ", "*)"}],
   FontSize->18], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"UnitVectorsNside8", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"thetasNside8", ",", "phisNside8"}], "}"}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.558254452765564*^9, 3.55825451011306*^9}, {
  3.558254587646839*^9, 3.558254646978009*^9}, {3.55825487302318*^9, 
  3.558254909531318*^9}, {3.558255691217994*^9, 3.558255693369134*^9}, {
  3.558255837394367*^9, 3.558255843439534*^9}, {3.558256287017683*^9, 
  3.558256290100845*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "DE", " ", "dipole", " ", "and", " ", "Dark", " ", "Flow", " ", 
      "direction", " ", "and", " ", "the", " ", "observed", " ", "maximum", 
      " ", "temperature", " ", "difference", " ", "direction"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
     "we", " ", "invert", " ", "the", " ", "direction", " ", "of", " ", "the",
       " ", "maximum", " ", "temperature", " ", "difference"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AngDistsAlphaNside8", "=", 
    RowBox[{"180", "-", 
     RowBox[{
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"ArcCos", ",", 
         RowBox[{"UnitVectorsNside8", ".", "AlphaDipDir"}]}], "]"}], "/", 
       "Pi"}], "*", "180"}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.558254955835135*^9, 3.558254973781348*^9}, {
   3.55825500913088*^9, 3.558255012387464*^9}, 3.558255218500143*^9, {
   3.558255262330636*^9, 3.558255275581537*^9}, {3.558255467163882*^9, 
   3.558255470788695*^9}, {3.558255512830153*^9, 3.558255535750082*^9}, 
   3.558255698062559*^9, 3.558255861014244*^9, {3.558256383862986*^9, 
   3.55825640722267*^9}, 3.558257095866399*^9, 3.558331381960438*^9, {
   3.558345913480335*^9, 3.558345915335677*^9}, {3.560670171181326*^9, 
   3.560670223126071*^9}, {3.560670380421193*^9, 3.560670383557247*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDENside8", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside8", ".", "DEdipDir"}]}], "]"}], "/", "Pi"}], 
     "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670248008005*^9, 3.560670273481573*^9}, {
  3.560670400184179*^9, 3.560670405628118*^9}, {3.56197931113513*^9, 
  3.561979311287394*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDFNside8", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside8", ".", "DFDir"}]}], "]"}], "/", "Pi"}], 
     "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670286642248*^9, 3.56067029348963*^9}, {
  3.560670413014781*^9, 3.560670418410596*^9}, {3.561979316354205*^9, 
  3.561979316483432*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha", " ",
      "dipole", " ", "and", " ", "the", " ", "observed", " ", "maximum", " ", 
     "temperature", " ", "difference", " ", "direction"}], ";", " ", 
    RowBox[{
    "we", " ", "invert", " ", "the", " ", "\[IndentingNewLine]", "maximum", 
     " ", "temperature", " ", "difference", " ", "direction"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"AngDistAlphaNside8Obs", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"ArcCos", "[", 
       RowBox[{
        RowBox[{"Ang2Veg", "[", 
         RowBox[{"thetaNside8Obs", ",", "phiNside8Obs"}], "]"}], ".", 
        "AlphaDipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]}]], "Input",
 CellChangeTimes->{{3.55825560878224*^9, 3.558255652585049*^9}, {
  3.558255742875202*^9, 3.558255757337786*^9}, {3.558256303030245*^9, 
  3.55825633122911*^9}, {3.558331226301138*^9, 3.558331228258299*^9}, {
  3.558331515600595*^9, 3.558331531573955*^9}, {3.560670324243995*^9, 
  3.560670325140201*^9}, {3.560671525250578*^9, 3.560671530764928*^9}}],

Cell[BoxData[
 RowBox[{"AngDistDENside8Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside8Obs", ",", "phiNside8Obs"}], "]"}], ".", 
       "DEdipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670575516555*^9, 3.560670614420276*^9}, 
   3.560671390406749*^9, {3.560671538520907*^9, 3.560671544146573*^9}}],

Cell[BoxData[
 RowBox[{"AngDistDFNside8Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside8Obs", ",", "phiNside8Obs"}], "]"}], ".", 
       "DFDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670625691465*^9, 3.560670632680477*^9}, 
   3.560671393561105*^9, {3.560671566575817*^9, 3.5606715715221*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "percentage", " ", "of", " ", "the", " ", "simulated", " ", "maps", " ", 
    "with", " ", "an", " ", "angular", " ", "distance", " ", "from", " ", 
    "the", " ", "dipoles", " ", "smaller", " ", "than", " ", "the", " ", 
    "same", " ", "angular", " ", "distance", " ", "in", " ", "the", " ", 
    "observed", " ", "map"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{"AngDistsAlphaNside8", ",", 
        RowBox[{
         RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside8Obs"}], "&"}]}], 
       "]"}]}], "/", 
     RowBox[{"Length", "@", "AngDistsAlphaNside8"}]}], "*", "100"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.558255668974108*^9, 3.558255683237477*^9}, {
   3.558255726647968*^9, 3.558255802664268*^9}, {3.558257098244586*^9, 
   3.558257160870929*^9}, {3.558331250616215*^9, 3.558331252247449*^9}, 
   3.558345926599763*^9, {3.560670336841388*^9, 3.560670350702522*^9}, {
   3.560671341706506*^9, 3.560671342544943*^9}, {3.560671405916013*^9, 
   3.560671433589331*^9}, {3.560671587219383*^9, 3.560671592315524*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDENside8", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDENside8Obs"}], "&"}]}], "]"}]}],
     "/", 
    RowBox[{"Length", "@", "AngDistsDENside8"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671363652822*^9, 3.560671367266135*^9}, {
  3.560671447026502*^9, 3.560671447215369*^9}, {3.560671599343872*^9, 
  3.560671604354813*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDFNside8", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDFNside8Obs"}], "&"}]}], "]"}]}],
     "/", 
    RowBox[{"Length", "@", "AngDistsDFNside8"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671458085961*^9, 3.560671465989548*^9}, {
  3.560671611419854*^9, 3.560671617227551*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "unit", " ", "vectors", " ", "corresponding", " ", "to", " ", "the", " ",
       "directions", " ", "of", " ", "the", " ", "maximum", " ", 
      "temperature", " ", "\[IndentingNewLine]", "difference", " ", "in", " ",
       "the", " ", "simulated", " ", "maps", " ", "for", " ", "Nside"}], "=", 
     "16"}], " ", "*)"}],
   FontSize->18], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"UnitVectorsNside16", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Ang2Veg", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"thetasNside16", ",", "phisNside16"}], "}"}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.558254452765564*^9, 3.55825451011306*^9}, {
  3.558254587646839*^9, 3.558254646978009*^9}, {3.55825487302318*^9, 
  3.558254909531318*^9}, {3.558255691217994*^9, 3.558255693369134*^9}, {
  3.558255916969911*^9, 3.558255922710141*^9}, {3.558256295213211*^9, 
  3.558256296925894*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "DE", " ", "dipole", " ", "and", " ", "Dark", " ", "Flow", " ", 
      "direction", " ", "and", " ", "the", " ", "observed", " ", "maximum", 
      " ", "temperature", " ", "difference", " ", "direction"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
     "we", " ", "invert", " ", "the", " ", "direction", " ", "of", " ", "the",
       " ", "maximum", " ", "temperature", " ", "difference"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"AngDistsAlphaNside16", "=", 
    RowBox[{"180", "-", 
     RowBox[{
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"ArcCos", ",", 
         RowBox[{"UnitVectorsNside16", ".", "AlphaDipDir"}]}], "]"}], "/", 
       "Pi"}], "*", "180"}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.558254955835135*^9, 3.558254973781348*^9}, {
   3.55825500913088*^9, 3.558255012387464*^9}, 3.558255218500143*^9, {
   3.558255262330636*^9, 3.558255275581537*^9}, {3.558255467163882*^9, 
   3.558255470788695*^9}, {3.558255512830153*^9, 3.558255535750082*^9}, 
   3.558255698062559*^9, 3.558255861014244*^9, {3.558256383862986*^9, 
   3.55825640722267*^9}, 3.558257095866399*^9, 3.558331381960438*^9, {
   3.558345913480335*^9, 3.558345915335677*^9}, {3.560670171181326*^9, 
   3.560670223126071*^9}, {3.560670483912084*^9, 3.560670487471726*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDENside16", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside16", ".", "DEdipDir"}]}], "]"}], "/", "Pi"}],
      "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670248008005*^9, 3.560670273481573*^9}, {
  3.56067049784353*^9, 3.560670515963123*^9}, {3.561979332128021*^9, 
  3.561979332245926*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AngDistsDFNside16", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"ArcCos", ",", 
        RowBox[{"UnitVectorsNside16", ".", "DFDir"}]}], "]"}], "/", "Pi"}], 
     "*", "180"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.560670286642248*^9, 3.56067029348963*^9}, {
  3.560670521360284*^9, 3.560670526918188*^9}, {3.561979337197361*^9, 
  3.56197933733011*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "angular", " ", "distance", " ", "between", " ", "the", " ", "alpha", " ",
      "dipole", " ", "and", " ", "the", " ", "observed", " ", "maximum", " ", 
     "temperature", " ", "difference", " ", "direction"}], ";", " ", 
    RowBox[{
    "we", " ", "invert", " ", "the", " ", "\[IndentingNewLine]", "maximum", 
     " ", "temperature", " ", "difference", " ", "direction"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"AngDistAlphaNside16Obs", "=", 
   RowBox[{"180", "-", 
    RowBox[{
     RowBox[{
      RowBox[{"ArcCos", "[", 
       RowBox[{
        RowBox[{"Ang2Veg", "[", 
         RowBox[{"thetaNside16Obs", ",", "phiNside16Obs"}], "]"}], ".", 
        "AlphaDipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]}]], "Input",
 CellChangeTimes->{{3.55825560878224*^9, 3.558255652585049*^9}, {
  3.558255742875202*^9, 3.558255757337786*^9}, {3.558256303030245*^9, 
  3.55825633122911*^9}, {3.558331226301138*^9, 3.558331228258299*^9}, {
  3.558331515600595*^9, 3.558331531573955*^9}, {3.560670324243995*^9, 
  3.560670325140201*^9}, {3.560671525250578*^9, 3.560671530764928*^9}, {
  3.560671663441651*^9, 3.560671668820789*^9}}],

Cell[BoxData[
 RowBox[{"AngDistDENside16Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside16Obs", ",", "phiNside16Obs"}], "]"}], ".", 
       "DEdipDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670575516555*^9, 3.560670614420276*^9}, 
   3.560671390406749*^9, {3.560671538520907*^9, 3.560671544146573*^9}, {
   3.560671673275352*^9, 3.560671679092921*^9}}],

Cell[BoxData[
 RowBox[{"AngDistDFNside16Obs", "=", 
  RowBox[{"180", "-", 
   RowBox[{
    RowBox[{
     RowBox[{"ArcCos", "[", 
      RowBox[{
       RowBox[{"Ang2Veg", "[", 
        RowBox[{"thetaNside16Obs", ",", "phiNside16Obs"}], "]"}], ".", 
       "DFDir"}], "]"}], "/", "Pi"}], "*", "180"}]}]}]], "Input",
 CellChangeTimes->{{3.560670625691465*^9, 3.560670632680477*^9}, 
   3.560671393561105*^9, {3.560671566575817*^9, 3.5606715715221*^9}, {
   3.560671683854252*^9, 3.560671689538526*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "percentage", " ", "of", " ", "the", " ", "simulated", " ", "maps", " ", 
    "with", " ", "an", " ", "angular", " ", "distance", " ", "from", " ", 
    "the", " ", "dipoles", " ", "smaller", " ", "than", " ", "the", " ", 
    "same", " ", "angular", " ", "distance", " ", "in", " ", "the", " ", 
    "observed", " ", "map"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{"AngDistsAlphaNside16", ",", 
        RowBox[{
         RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside16Obs"}], "&"}]}], 
       "]"}]}], "/", 
     RowBox[{"Length", "@", "AngDistsAlphaNside16"}]}], "*", "100"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.558255668974108*^9, 3.558255683237477*^9}, {
   3.558255726647968*^9, 3.558255802664268*^9}, {3.558257098244586*^9, 
   3.558257160870929*^9}, {3.558331250616215*^9, 3.558331252247449*^9}, 
   3.558345926599763*^9, {3.560670336841388*^9, 3.560670350702522*^9}, {
   3.560671341706506*^9, 3.560671342544943*^9}, {3.560671405916013*^9, 
   3.560671433589331*^9}, {3.560671587219383*^9, 3.560671592315524*^9}, {
   3.560671713302448*^9, 3.560671719451535*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDENside16", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDENside16Obs"}], "&"}]}], 
      "]"}]}], "/", 
    RowBox[{"Length", "@", "AngDistsDENside16"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671363652822*^9, 3.560671367266135*^9}, {
  3.560671447026502*^9, 3.560671447215369*^9}, {3.560671599343872*^9, 
  3.560671604354813*^9}, {3.560671724956903*^9, 3.560671732104104*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{"AngDistsDFNside16", ",", 
       RowBox[{
        RowBox[{"#", "\[LessEqual]", "AngDistDFNside16Obs"}], "&"}]}], 
      "]"}]}], "/", 
    RowBox[{"Length", "@", "AngDistsDFNside16"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.560671458085961*^9, 3.560671465989548*^9}, {
  3.560671611419854*^9, 3.560671617227551*^9}, {3.560671736969769*^9, 
  3.560671744123344*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "percentage", " ", "of", " ", "simulated", " ", "maps", " ", "with", " ", 
    "a", " ", "maximum", " ", "temperature", " ", "difference", " ", "bigger",
     " ", "than", " ", "the", " ", "observed", " ", "maximum", " ", 
    "temperature", " ", "difference", " ", "and", " ", "an", " ", "angular", 
    " ", "distance", " ", "from", " ", "the", " ", "alpha", " ", "dipole", 
    " ", "smaller", " ", "than", " ", "the", " ", "same", " ", "angular", " ",
     "distance", " ", "in", " ", "the", " ", "observed", " ", "map"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"diffsNside4", ",", "AngDistsAlphaNside4"}], "}"}], "]"}], 
        ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "\[GreaterEqual]", 
            "diffsNside4Obs"}], "&&", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", 
            "AngDistAlphaNside4Obs"}]}], ")"}], "&"}]}], "]"}]}], "/", 
     RowBox[{"Length", "[", "diffsNside4", "]"}]}], "*", "100"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.558256640170887*^9, 3.5582566658831*^9}, {
   3.558256696386163*^9, 3.558256820339548*^9}, {3.558256856830543*^9, 
   3.558257011404645*^9}, {3.558331425104148*^9, 3.558331426271149*^9}, 
   3.558345967351539*^9, {3.560671763780604*^9, 3.560671770878682*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"diffsNside8", ",", "AngDistsAlphaNside8"}], "}"}], "]"}], 
       ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[GreaterEqual]", 
           "diffsNside8Obs"}], "&&", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", 
           "AngDistAlphaNside8Obs"}]}], ")"}], "&"}]}], "]"}]}], "/", 
    RowBox[{"Length", "[", "diffsNside8", "]"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.558257021803761*^9, 3.558257035876988*^9}, {
   3.558331431070244*^9, 3.558331432077813*^9}, 3.558345971837771*^9, {
   3.560671787518172*^9, 3.560671790556713*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"diffsNside16", ",", "AngDistsAlphaNside16"}], "}"}], "]"}], 
       ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[GreaterEqual]", 
           "diffsNside16Obs"}], "&&", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", 
           "AngDistAlphaNside16Obs"}]}], ")"}], "&"}]}], "]"}]}], "/", 
    RowBox[{"Length", "[", "diffsNside16", "]"}]}], "*", "100"}], "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.558257043576487*^9, 3.558257053337151*^9}, {
   3.558331435827248*^9, 3.558331436772802*^9}, 3.558345976425537*^9, {
   3.560671796325761*^9, 3.560671798998509*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", "Plots", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.558340627061554*^9, 3.558340635049784*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Graphics", ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FormatType", "\[Rule]", "OutputForm"}], ",", 
       RowBox[{"FontSize", "\[Rule]", "8"}], ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
       RowBox[{"PrivateFontOptions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<OperatorSubstitution\>\"", "\[Rule]", "False"}], 
         "}"}]}]}], "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"ListLinePlot", ",", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FormatType", "\[Rule]", "OutputForm"}], ",", 
       RowBox[{"FontSize", "\[Rule]", "8"}], ",", 
       RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
       RowBox[{"PrivateFontOptions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<OperatorSubstitution\>\"", "\[Rule]", "False"}], 
         "}"}]}]}], "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProbPlotSize", "=", "160"}], ";"}]}], "Input",
 CellChangeTimes->{{3.560668907435511*^9, 3.560668923807345*^9}, {
  3.560673123396348*^9, 3.560673132314135*^9}, {3.561727864624226*^9, 
  3.561727870764894*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Plot", " ", "for", " ", "the", " ", "maximum", " ", "temperature", " ", 
    "difference", " ", "value"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"VariableDiffs", "[", 
     RowBox[{"sims_", ",", "ObsVal_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Length", "@", 
        RowBox[{"Select", "[", 
         RowBox[{"sims", ",", 
          RowBox[{
           RowBox[{"#", "\[GreaterEqual]", "ObsVal"}], "&"}]}], "]"}]}], "/", 
       
       RowBox[{"Length", "@", "sims"}]}], "*", "100"}], "//", "N"}]}], "\n", 
   RowBox[{
    RowBox[{"diffsNside4Prob", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"VariableDiffs", "[", 
            RowBox[{"diffsNside4", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"Min", "[", "diffsNside4", "]"}], ",", 
          RowBox[{"Max", "[", "diffsNside4", "]"}], ",", "1"}], "]"}]}], ",", 
       
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Min", "[", "diffsNside4", "]"}], ",", "0"}], "}"}]}], ",", 
       
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]T\), \(max\)]\)\>\"", ",", 
          "\"\<%\>\""}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perc", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Length", "@", 
         RowBox[{"Select", "[", 
          RowBox[{"diffsNside4", ",", 
           RowBox[{
            RowBox[{"#", "\[GreaterEqual]", "diffsNside4Obs"}], "&"}]}], 
          "]"}]}], "/", 
        RowBox[{"Length", "@", "diffsNside4"}]}], "*", "100"}], "//", "N"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"diffsNside4Prob", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"diffsNside4Obs", ",", "perc"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Min", "[", "diffsNside4", "]"}], ",", "perc"}], 
              "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"diffsNside4Obs", ",", "perc"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"diffsNside4Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
         "}"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ToString", "[", 
            RowBox[{"Round", "[", 
             RowBox[{"perc", ",", ".01"}], "]"}], "]"}], "<>", "\"\<%\>\""}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"diffsNside4Obs", "+", 
               RowBox[{"Min", "[", "diffsNside4", "]"}]}], ")"}], "/", "2"}], 
            ",", "perc"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 4\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"180", ",", "80"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 14.7\[Degree]\>\"", 
          ",", 
          RowBox[{"{", 
           RowBox[{"180", ",", "60"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.558340658235724*^9, 3.558340702854046*^9}, {
  3.561979442438709*^9, 3.561979449017685*^9}, {3.561979499758944*^9, 
  3.561979521021115*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<diffsNside4Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{{3.560667199064409*^9, 3.560667226883028*^9}, {
  3.561729804055573*^9, 3.561729806382142*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"diffsNside8Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableDiffs", "[", 
          RowBox[{"diffsNside8", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"Min", "[", "diffsNside8", "]"}], ",", 
        RowBox[{"Max", "[", "diffsNside8", "]"}], ",", "1"}], "]"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Min", "[", "diffsNside8", "]"}], ",", "0"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]T\), \(max\)]\)\>\"", ",", 
        "\"\<%\>\""}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"perc", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"diffsNside8", ",", 
         RowBox[{
          RowBox[{"#", "\[GreaterEqual]", "diffsNside8Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "diffsNside8"}]}], "*", "100"}], "//", "N"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"diffsNside8Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"diffsNside8Obs", ",", "perc"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Min", "[", "diffsNside8", "]"}], ",", "perc"}], "}"}]}],
           "}"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"diffsNside8Obs", ",", "perc"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"diffsNside8Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"perc", ",", ".01"}], "]"}], "]"}], "<>", "\"\<%\>\""}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"diffsNside8Obs", "+", 
             RowBox[{"Min", "[", "diffsNside8", "]"}]}], ")"}], "/", "2"}], 
          ",", "perc"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 8\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"250", ",", "80"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 7.3\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"250", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.558340981745849*^9, 3.558340984239082*^9}, {
   3.558341073353104*^9, 3.558341081139578*^9}, {3.558341281523932*^9, 
   3.558341292696312*^9}, {3.558342103752603*^9, 3.558342118345542*^9}, {
   3.558342171978839*^9, 3.558342180995418*^9}, 3.558342767500003*^9, {
   3.558343209733862*^9, 3.558343210184974*^9}, {3.560146465517668*^9, 
   3.560146520676008*^9}, {3.560146839785004*^9, 3.560146852736295*^9}, 
   3.560673175805968*^9, {3.56172797305044*^9, 3.561727986018343*^9}, {
   3.561728034182932*^9, 3.56172803804333*^9}, {3.561728092588124*^9, 
   3.561728096720093*^9}, {3.561729768710898*^9, 3.561729775262898*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<diffsNside8Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{3.560667326499364*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"diffsNside16Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableDiffs", "[", 
          RowBox[{"diffsNside16", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"Min", "[", "diffsNside16", "]"}], ",", 
        RowBox[{"Max", "[", "diffsNside16", "]"}], ",", "1"}], "]"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Min", "[", "diffsNside16", "]"}], ",", "0"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]T\), \(max\)]\)\>\"", ",", 
        "\"\<%\>\""}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"perc", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"diffsNside16", ",", 
         RowBox[{
          RowBox[{"#", "\[GreaterEqual]", "diffsNside16Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "diffsNside16"}]}], "*", "100"}], "//", "N"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"diffsNside16Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"diffsNside16Obs", ",", "perc"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Min", "[", "diffsNside16", "]"}], ",", "perc"}], 
            "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"diffsNside16Obs", ",", "perc"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"diffsNside16Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"perc", ",", ".01"}], "]"}], "]"}], "<>", "\"\<%\>\""}], 
        ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"diffsNside16Obs", "+", 
             RowBox[{"Min", "[", "diffsNside16", "]"}]}], ")"}], "/", "2"}], 
          ",", "perc"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 16\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"340", ",", "80"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 3.7\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"340", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.558342137560174*^9, 3.558342143669626*^9}, {
   3.558342205544228*^9, 3.558342241057403*^9}, 3.55834277207681*^9, {
   3.558343217718388*^9, 3.558343218137023*^9}, {3.560146573105046*^9, 
   3.560146625617504*^9}, {3.560146724951812*^9, 3.560146820733983*^9}, 
   3.56067317645344*^9, {3.561727997958445*^9, 3.561728012075994*^9}, {
   3.561728106138995*^9, 3.561728112134668*^9}, {3.561728258423936*^9, 
   3.561728293656117*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<diffsNside16Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{{3.560667334712806*^9, 3.560667335112522*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"VariableAngDists", "[", 
   RowBox[{"sims_", ",", "ObsAngDist_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Select", "[", 
       RowBox[{"sims", ",", 
        RowBox[{
         RowBox[{"#", "<=", "ObsAngDist"}], "&"}]}], "]"}]}], "/", 
     RowBox[{"Length", "@", "sims"}]}], "*", "100"}], "//", "N"}]}]], "Input",\

 CellChangeTimes->{{3.558342305510606*^9, 3.558342328660574*^9}, {
   3.558345804183936*^9, 3.558345805252617*^9}, 3.558345847869031*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "distance", " ", "from", " ", "the", " ", "alpha", " ", "dipole", " ", 
   "probability", " ", "plots"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.560672253614759*^9, 3.56067229357978*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"AngDistsAlphaNside4Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsAlphaNside4", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsAlphaNside8Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsAlphaNside8", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsAlphaNside16Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsAlphaNside16", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560671967493804*^9, 3.56067198867576*^9}, {
  3.561730522397381*^9, 3.561730526212143*^9}, {3.56173056700125*^9, 
  3.561730568308547*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"percAlphaNside4", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsAlphaNside4", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside4Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsAlphaNside4"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percAlphaNside8", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsAlphaNside8", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside8Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsAlphaNside8"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percAlphaNside16", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsAlphaNside16", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistAlphaNside16Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsAlphaNside16"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560672046712775*^9, 3.56067208522603*^9}, {
  3.561730446339894*^9, 3.561730475625846*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsAlphaNside4Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside4Obs", ",", "percAlphaNside4"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percAlphaNside4"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside4Obs", ",", "percAlphaNside4"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside4Obs", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percAlphaNside4", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistAlphaNside4Obs", "/", "2"}], ",", 
          "percAlphaNside4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 4\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 14.7\[Degree]\>\"", ",", 
        
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, 
   3.560673177436309*^9, {3.561729693953294*^9, 3.56172971916442*^9}, {
   3.561729828486572*^9, 3.561729877806702*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsAlphaNside4Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsAlphaNside8Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside8Obs", ",", "percAlphaNside8"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percAlphaNside8"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside8Obs", ",", "percAlphaNside8"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside8Obs", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percAlphaNside8", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistAlphaNside8Obs", "/", "2"}], ",", 
          "percAlphaNside8"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 8\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 7.3\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.560672342413643*^9, 3.560672349263242*^9}, 3.560673178057082*^9, {
   3.561729910669919*^9, 3.561729919192371*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsAlphaNside8Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672351057487*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsAlphaNside16Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside16Obs", ",", "percAlphaNside16"}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percAlphaNside16"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside16Obs", ",", "percAlphaNside16"}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistAlphaNside16Obs", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percAlphaNside16", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistAlphaNside16Obs", "/", "2"}], ",", 
          "percAlphaNside16"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 16\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 3.7\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.56067236906384*^9, 3.560672376250695*^9}, 3.560673178753061*^9, {
   3.561729940578462*^9, 3.561729949184689*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsAlphaNside16Prob.eps\>\"", ",", "%"}], "]"}]], "Input",\

 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672379596162*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "distance", " ", "from", " ", "the", " ", "dark", " ", "energy", " ", 
   "dipole", " ", "probability", " ", "plots"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.560672253614759*^9, 3.56067229357978*^9}, {
  3.560672437409049*^9, 3.560672438889539*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"AngDistsDENside4Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDENside4", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsDENside8Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDENside8", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsDENside16Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDENside16", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560671967493804*^9, 3.56067198867576*^9}, {
  3.560672472516167*^9, 3.560672479007266*^9}, {3.561730635562546*^9, 
  3.561730641220514*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"percDENside4", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDENside4", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDENside4Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDENside4"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percDENside8", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDENside8", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDENside8Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDENside8"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percDENside16", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDENside16", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDENside16Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDENside16"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560672046712775*^9, 3.56067208522603*^9}, {
  3.560672479730383*^9, 3.560672487937233*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDENside4Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside4Obs", ",", "percDENside4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDENside4"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside4Obs", ",", "percDENside4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDENside4Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDENside4", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDENside4Obs", "/", "2"}], ",", "percDENside4"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 4\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 14.7\[Degree]\>\"", ",", 
        
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.560672490422558*^9, 3.560672497463591*^9}, 3.560673179666292*^9, {
   3.561729982545092*^9, 3.56173002186*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDENside4Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672498590615*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDENside8Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside8Obs", ",", "percDENside8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDENside8"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside8Obs", ",", "percDENside8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDENside8Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDENside8", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDENside8Obs", "/", "2"}], ",", "percDENside8"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 8\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 7.3\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.560672342413643*^9, 3.560672349263242*^9}, {3.560672503354289*^9, 
   3.560672507736218*^9}, 3.560673180313837*^9, {3.561730062731417*^9, 
   3.561730079973241*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDENside8Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672351057487*^9, 3.560672508647825*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDENside16Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside16Obs", ",", "percDENside16"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDENside16"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDENside16Obs", ",", "percDENside16"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDENside16Obs", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDENside16", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDENside16Obs", "/", "2"}], ",", "percDENside16"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 16\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 3.7\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"30", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.56067236906384*^9, 3.560672376250695*^9}, {3.560672518250868*^9, 
   3.560672523670804*^9}, 3.560673180991335*^9, {3.561730085889202*^9, 
   3.561730094312079*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDENside16Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672379596162*^9, 3.560672524845674*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "distance", " ", "from", " ", "the", " ", "dark", " ", "flow", " ", 
   "direction", " ", "probability", " ", "plots"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.560672253614759*^9, 3.56067229357978*^9}, {
  3.560672437409049*^9, 3.560672438889539*^9}, {3.560672589665918*^9, 
  3.560672591670479*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"AngDistsDFNside4Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDFNside4", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsDFNside8Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDFNside8", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AngDistsDFNside16Prob", "=", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"VariableAngDists", "[", 
          RowBox[{"AngDistsDFNside16", ",", "#"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "180", ",", ".25"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\[CapitalDelta]\[Theta]\>\"", ",", "\"\<%\>\""}], 
       "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560671967493804*^9, 3.56067198867576*^9}, {
  3.560672472516167*^9, 3.560672479007266*^9}, {3.560672628029161*^9, 
  3.560672643382574*^9}, {3.561730695389677*^9, 3.561730699865355*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"percDFNside4", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDFNside4", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDFNside4Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDFNside4"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percDFNside8", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDFNside8", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDFNside8Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDFNside8"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"percDFNside16", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"AngDistsDFNside16", ",", 
         RowBox[{
          RowBox[{"#", "\[LessEqual]", "AngDistDFNside16Obs"}], "&"}]}], 
        "]"}]}], "/", 
      RowBox[{"Length", "@", "AngDistsDFNside16"}]}], "*", "100"}], "//", 
    "N"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.560672046712775*^9, 3.56067208522603*^9}, {
  3.560672479730383*^9, 3.560672487937233*^9}, {3.560672644702787*^9, 
  3.560672649599974*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDFNside4Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside4Obs", ",", "percDFNside4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDFNside4"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside4Obs", ",", "percDFNside4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDFNside4Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDFNside4", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDFNside4Obs", "/", "2"}], ",", "percDFNside4"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 4\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"65", ",", "20"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 14.7\[Degree]\>\"", ",", 
        
        RowBox[{"{", 
         RowBox[{"65", ",", "12"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "60"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.560672490422558*^9, 3.560672497463591*^9}, {3.560672650714725*^9, 
   3.560672658087825*^9}, {3.560672721387644*^9, 3.560672743774786*^9}, 
   3.560673181848749*^9, {3.561730156313561*^9, 3.561730256285728*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDFNside4Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672498590615*^9, 3.56067265930342*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDFNside8Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside8Obs", ",", "percDFNside8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDFNside8"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside8Obs", ",", "percDFNside8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDFNside8Obs", ",", "0"}], "}"}]}], "}"}], "]"}]}],
        "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDFNside8", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDFNside8Obs", "/", "2"}], ",", "percDFNside8"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 8\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"65", ",", "20"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 7.3\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"65", ",", "12"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "60"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.560672342413643*^9, 3.560672349263242*^9}, {3.560672503354289*^9, 
   3.560672507736218*^9}, {3.560672663906098*^9, 3.560672670264343*^9}, {
   3.560672754050946*^9, 3.560672757326119*^9}, 3.560673182773477*^9, {
   3.561730269703529*^9, 3.561730282198028*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDFNside8Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672351057487*^9, 3.560672508647825*^9, 3.56067267474807*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"AngDistsDFNside16Prob", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside16Obs", ",", "percDFNside16"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "percDFNside16"}], "}"}]}], "}"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"AngDistDFNside16Obs", ",", "percDFNside16"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"AngDistDFNside16Obs", ",", "0"}], "}"}]}], "}"}], 
         "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ToString", "[", 
          RowBox[{"Round", "[", 
           RowBox[{"percDFNside16", ",", ".01"}], "]"}], "]"}], "<>", 
         "\"\<%\>\""}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AngDistDFNside16Obs", "/", "2"}], ",", "percDFNside16"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<\!\(\*SubscriptBox[\(N\), \(side\)]\) = 16\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"65", ",", "20"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(l\), \(pixel\)]\) = 3.7\[Degree]\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"65", ",", "12"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "ProbPlotSize"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "100"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "60"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.558342339694498*^9, 3.558342604334481*^9}, 
   3.558342778290184*^9, {3.558343225294277*^9, 3.558343225748614*^9}, {
   3.558345862930957*^9, 3.558345864414413*^9}, 3.558345988819125*^9, {
   3.56014698083109*^9, 3.560146995948716*^9}, {3.560147035386491*^9, 
   3.560147070656785*^9}, {3.560147115867072*^9, 3.560147288821507*^9}, {
   3.560147423785474*^9, 3.560147438322221*^9}, {3.5601474741841*^9, 
   3.560147544002012*^9}, {3.56014757843657*^9, 3.560147599627961*^9}, {
   3.560671956399779*^9, 3.560671957147761*^9}, {3.560671999035905*^9, 
   3.560672034552758*^9}, {3.560672098461059*^9, 3.560672165607862*^9}, {
   3.56067236906384*^9, 3.560672376250695*^9}, {3.560672518250868*^9, 
   3.560672523670804*^9}, {3.560672678543276*^9, 3.560672684690333*^9}, {
   3.560672765572607*^9, 3.560672770427146*^9}, 3.560673183757412*^9, {
   3.561730308813471*^9, 3.561730316427902*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<AngDistsDFNside16Prob.eps\>\"", ",", "%"}], "]"}]], "Input",
 CellChangeTimes->{
  3.560667354869532*^9, {3.560672182114158*^9, 3.560672182834434*^9}, 
   3.560672379596162*^9, 3.560672524845674*^9, 3.560672685797326*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Values", " ", "in", " ", "Table", " ", "IV"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"CombinedProb", "[", 
    RowBox[{
    "TempDiffs_", ",", "AngDists_", ",", "ObsTempDiff_", ",", "ObsAngDist_"}],
     "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{"TempDiffs", ",", "AngDists"}], "}"}], "]"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "\[GreaterEqual]", 
            "ObsTempDiff"}], "&&", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[LessEqual]", " ", 
            "ObsAngDist"}]}], "&"}]}], "]"}]}], "/", 
      RowBox[{"Length", "@", "TempDiffs"}]}], "*", "100"}], "//", 
    "N"}]}]}]], "Input",
 CellChangeTimes->{{3.560147948849987*^9, 3.560147998703567*^9}, {
  3.560148135777755*^9, 3.560148140440171*^9}, {3.560148315243286*^9, 
  3.560148416855512*^9}, {3.560148613297875*^9, 3.560148619143678*^9}, {
  3.561979570793055*^9, 3.561979574118294*^9}, {3.561979652853517*^9, 
  3.561979660252859*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside4", ",", "AngDistsAlphaNside4", ",", "diffsNside4Obs", ",", 
   "AngDistAlphaNside4Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560148440147926*^9, 3.560148492030291*^9}, {
  3.560677406791534*^9, 3.560677415415635*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside8", ",", "AngDistsAlphaNside8", ",", "diffsNside8Obs", ",", 
   "AngDistAlphaNside8Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560677436383831*^9, 3.560677445103055*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside16", ",", "AngDistsAlphaNside16", ",", "diffsNside16Obs", ",", 
   "AngDistAlphaNside16Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.56067745232634*^9, 3.560677461223917*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside4", ",", "AngDistsDENside4", ",", "diffsNside4Obs", ",", 
   "AngDistDENside4Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560148440147926*^9, 3.560148492030291*^9}, {
  3.560677406791534*^9, 3.560677415415635*^9}, {3.560678027472659*^9, 
  3.560678034229527*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside8", ",", "AngDistsDENside8", ",", "diffsNside8Obs", ",", 
   "AngDistDENside8Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560677436383831*^9, 3.560677445103055*^9}, {
  3.560678041209789*^9, 3.560678045056592*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside16", ",", "AngDistsDENside16", ",", "diffsNside16Obs", ",", 
   "AngDistDENside16Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.56067745232634*^9, 3.560677461223917*^9}, {
  3.560678050026949*^9, 3.560678054166497*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside4", ",", "AngDistsDFNside4", ",", "diffsNside4Obs", ",", 
   "AngDistDFNside4Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560148440147926*^9, 3.560148492030291*^9}, {
  3.560677406791534*^9, 3.560677415415635*^9}, {3.560678027472659*^9, 
  3.560678034229527*^9}, {3.560678095402981*^9, 3.560678097579674*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside8", ",", "AngDistsDFNside8", ",", "diffsNside8Obs", ",", 
   "AngDistDFNside8Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.560677436383831*^9, 3.560677445103055*^9}, {
  3.560678041209789*^9, 3.560678045056592*^9}, {3.56067810216335*^9, 
  3.560678104523601*^9}}],

Cell[BoxData[
 RowBox[{"CombinedProb", "[", 
  RowBox[{
  "diffsNside16", ",", "AngDistsDFNside16", ",", "diffsNside16Obs", ",", 
   "AngDistDFNside16Obs"}], "]"}]], "Input",
 CellChangeTimes->{{3.56067745232634*^9, 3.560677461223917*^9}, {
  3.560678050026949*^9, 3.560678054166497*^9}, {3.560678109681476*^9, 
  3.560678111868808*^9}}]
},
WindowSize->{1366, 744},
WindowMargins->{{0, Automatic}, {0, Automatic}},
ShowSelection->True,
FrontEndVersion->"7.0 for Linux x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1598, 35, 143, "Input"],
Cell[2146, 57, 495, 11, 70, "Input"],
Cell[2644, 70, 1094, 23, 121, "Input"],
Cell[3741, 95, 926, 23, 121, "Input"],
Cell[4670, 120, 2019, 54, 123, "Input"],
Cell[6692, 176, 1345, 29, 80, "Input"],
Cell[8040, 207, 444, 13, 32, "Input"],
Cell[8487, 222, 447, 13, 32, "Input"],
Cell[8937, 237, 1029, 27, 55, "Input"],
Cell[9969, 266, 532, 12, 55, "Input"],
Cell[10504, 280, 399, 10, 55, "Input"],
Cell[10906, 292, 444, 11, 55, "Input"],
Cell[11353, 305, 1145, 29, 80, "Input"],
Cell[12501, 336, 1454, 33, 77, "Input"],
Cell[13958, 371, 402, 11, 32, "Input"],
Cell[14363, 384, 397, 11, 32, "Input"],
Cell[14763, 397, 1117, 25, 77, "Input"],
Cell[15883, 424, 405, 11, 32, "Input"],
Cell[16291, 437, 402, 11, 32, "Input"],
Cell[16696, 450, 1159, 25, 55, "Input"],
Cell[17858, 477, 455, 13, 32, "Input"],
Cell[18316, 492, 406, 12, 32, "Input"],
Cell[18725, 506, 1194, 30, 80, "Input"],
Cell[19922, 538, 1500, 33, 77, "Input"],
Cell[21425, 573, 450, 12, 32, "Input"],
Cell[21878, 587, 447, 12, 32, "Input"],
Cell[22328, 601, 1163, 25, 77, "Input"],
Cell[23494, 628, 451, 11, 32, "Input"],
Cell[23948, 641, 446, 11, 32, "Input"],
Cell[24397, 654, 1205, 25, 55, "Input"],
Cell[25605, 681, 504, 14, 32, "Input"],
Cell[26112, 697, 455, 13, 32, "Input"],
Cell[26570, 712, 1198, 30, 80, "Input"],
Cell[27771, 744, 1502, 33, 77, "Input"],
Cell[29276, 779, 452, 12, 32, "Input"],
Cell[29731, 793, 448, 12, 32, "Input"],
Cell[30182, 807, 1215, 26, 77, "Input"],
Cell[31400, 835, 504, 12, 32, "Input"],
Cell[31907, 849, 499, 12, 32, "Input"],
Cell[32409, 863, 1258, 26, 55, "Input"],
Cell[33670, 891, 555, 14, 32, "Input"],
Cell[34228, 907, 509, 14, 32, "Input"],
Cell[34740, 923, 1665, 38, 99, "Input"],
Cell[36408, 963, 931, 26, 55, "Input"],
Cell[37342, 991, 936, 26, 55, "Input"],
Cell[38281, 1019, 131, 2, 32, "Input"],
Cell[38415, 1023, 1318, 31, 77, "Input"],
Cell[39736, 1056, 4573, 127, 209, "Input"],
Cell[44312, 1185, 223, 4, 32, "Input"],
Cell[44538, 1191, 4191, 110, 165, "Input"],
Cell[48732, 1303, 150, 3, 32, "Input"],
Cell[48885, 1308, 4017, 108, 165, "Input"],
Cell[52905, 1418, 175, 3, 32, "Input"],
Cell[53083, 1423, 543, 15, 32, "Input"],
Cell[53629, 1440, 241, 5, 32, "Input"],
Cell[53873, 1447, 1902, 51, 77, "Input"],
Cell[55778, 1500, 1403, 41, 77, "Input"],
Cell[57184, 1543, 3241, 82, 121, "Input"],
Cell[60428, 1627, 207, 4, 32, "Input"],
Cell[60638, 1633, 3232, 81, 121, "Input"],
Cell[63873, 1716, 233, 5, 32, "Input"],
Cell[64109, 1723, 3244, 81, 121, "Input"],
Cell[67356, 1806, 236, 6, 32, "Input"],
Cell[67595, 1814, 304, 6, 32, "Input"],
Cell[67902, 1822, 1885, 51, 77, "Input"],
Cell[69790, 1875, 1367, 41, 77, "Input"],
Cell[71160, 1918, 3181, 80, 99, "Input"],
Cell[74344, 2000, 230, 5, 32, "Input"],
Cell[74577, 2007, 3225, 80, 99, "Input"],
Cell[77805, 2089, 252, 5, 32, "Input"],
Cell[78060, 2096, 3237, 80, 99, "Input"],
Cell[81300, 2178, 253, 5, 32, "Input"],
Cell[81556, 2185, 354, 7, 32, "Input"],
Cell[81913, 2194, 1931, 51, 77, "Input"],
Cell[83847, 2247, 1416, 42, 77, "Input"],
Cell[85266, 2291, 3284, 81, 99, "Input"],
Cell[88553, 2374, 251, 5, 32, "Input"],
Cell[88807, 2381, 3324, 81, 99, "Input"],
Cell[92134, 2464, 273, 5, 32, "Input"],
Cell[92410, 2471, 3336, 81, 99, "Input"],
Cell[95749, 2554, 275, 5, 32, "Input"],
Cell[96027, 2561, 1308, 35, 77, "Input"],
Cell[97338, 2598, 291, 6, 32, "Input"],
Cell[97632, 2606, 242, 5, 32, "Input"],
Cell[97877, 2613, 245, 5, 32, "Input"],
Cell[98125, 2620, 334, 7, 32, "Input"],
Cell[98462, 2629, 285, 6, 32, "Input"],
Cell[98750, 2637, 288, 6, 32, "Input"],
Cell[99041, 2645, 380, 7, 32, "Input"],
Cell[99424, 2654, 333, 7, 32, "Input"],
Cell[99760, 2663, 337, 7, 32, "Input"]
}
]
*)

(* End of internal cache information *)
